Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235014 (CVE-2007-1799) - CVE-2007-1799: ktorrent < 2.1.3 arbitrary file overwrite
Summary: CVE-2007-1799: ktorrent < 2.1.3 arbitrary file overwrite
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2007-1799
Product: Fedora
Classification: Fedora
Component: ktorrent
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-03 11:05 UTC by Ville Skyttä
Modified: 2007-11-30 22:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-03 15:39:33 UTC


Attachments (Terms of Use)

Description Ville Skyttä 2007-04-03 11:05:00 UTC
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2007-1799

"Directory traversal vulnerability in torrent.cpp in KTorrent before 2.1.3 only
checks for the ".." string, which allows remote attackers to overwrite arbitrary
files via modified ".." sequences in a torrent filename, as demonstrated by
"../" sequences, due to an incomplete fix for CVE-2007-1384."

FC5, FC6, devel have 2.1.2 at the moment.

Comment 1 Rex Dieter 2007-04-03 15:13:52 UTC
%changelog
* Tue Apr 03 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 2.1.3-1
- ktorrent-2.1.3 (#235014)
- optimize %%configure


Comment 2 Rex Dieter 2007-04-03 15:39:33 UTC
Builds queue'd for devel(finished), FC-6(building), FC-5(building).


Note You need to log in before you can comment on or make changes to this bug.